libao needs --disable-alsa09

Kelledin kelledin+BLFS at skarpsey.dyndns.org
Sat Mar 13 11:41:19 PST 2004


On Friday 12 March 2004 09:37 am, Michael Brömer wrote:
> Am Freitag, 12. März 2004 16:18 schrieb jeff:
> > libao fails to compile with the new
> > alsa-1.0.2c unless you add the
> > --disable-alsa09 to the configure script
>
> Passing CPPFLAGS="-DALSA_PCM_OLD_HW_PARAMS_API"
> to configure works for me.
>
> Unfortunately i did not take a note where i got this from...

Probably from here. ;-)

I use "-DALSA_PCM_OLD_HW_PARAMS_API -DALSA_PCM_OLD_SW_PARAMS_API" 
for full "old API" support.  I picked that up from a post on the 
alsa-user mailing list shortly before the ALSA 1.0 release.

You might be interested in knowing that the "new" API has been in 
there for a while, it's just been disabled (in favor of the old 
API) unless certain macros got defined.  Now the "new" API is 
the default.

-- 
Kelledin
"If a server crashes in a server farm and no one pings it, does 
it still cost four figures to fix?"



More information about the blfs-dev mailing list